Close

Problems with filter after upgrading to 3.3

Lucrasoft
5 years ago
#7550 Quote
Avatar
  • 11
Problem solved. You can close this now.
Boyko
5 years ago
#7551 Quote
Avatar
  • Moderator
  • 1437
Lucrasoft wrote:
Hi,

Today I started to upgrade nopCommerce from 3.2 to 3.3 while using the Alfresco theme. Everything works fine except for the Ajax Filters on the products page.

Cannot read property 'toString' of undefined

Is this related to the theme or to the plugin? Does anybody know how to fix this?

Thank you.


Hi Lucrasoft,

Did you uninstall and then install the Ajax Filters plugin again?
In the theme documentation you need to follow the upgrade instructions and it is explained that you need to uninstall and then install the Ajax Filters plugin.

Thanks
Regards,
Boyko Stanev
Nop-Templates.com
Lucrasoft
5 years ago
#7552 Quote
Avatar
  • 11
Hi Boyko,

Thanks for your reply. I did follow the instructions and I reinstalled the plugin after upgrading.
Boyko
5 years ago
#7553 Quote
Avatar
  • Moderator
  • 1437
Lucrasoft wrote:
Hi Boyko,

Thanks for your reply. I did follow the instructions and I reinstalled the plugin after upgrading.


Hi Lucrasoft,

Then they should be working fine. When did you download the Alfresco theme package?
The Ajax Filters work only on category/manufacturer pages but you have said that " Ajax Filters on the products page". Is this a typo or you really meant the product page?

Thanks
Regards,
Boyko Stanev
Nop-Templates.com
Lucrasoft
5 years ago
#7554 Quote
Avatar
  • 11
Boyko wrote:
Hi Boyko,

Thanks for your reply. I did follow the instructions and I reinstalled the plugin after upgrading.

Hi Lucrasoft,

Then they should be working fine. When did you download the Alfresco theme package?
The Ajax Filters work only on category/manufacturer pages but you have said that " Ajax Filters on the products page". Is this a typo or you really meant the product page?

Thanks


I downloaded the Alfresco package just yesterday, so that should be fine right. I meant category pages, yes. Sorry for being unclear.
Boyko
5 years ago
#7555 Quote
Avatar
  • Moderator
  • 1437
Lucrasoft wrote:

I downloaded the Alfresco package just yesterday, so that should be fine right. I meant category pages, yes. Sorry for being unclear.


OK, so you are using the latest version then. Can you share a link to your web site, so that we can take a look? You can also check the error in the Log as described here.

Thanks
Regards,
Boyko Stanev
Nop-Templates.com